### Function

# EDataServer Client util_slist_to_strv

deprecated: 3.8 since: 3.2

#### Declaration [src]

    gchar**
    e_client_util_slist_to_strv (
      const GSList* strings
    )

#### Description [src]

Convert a list of strings into a `NULL`-terminated array of strings.

Available since: 3.2

Deprecated since: 3.8

Use `e_util_slist_to_strv()` instead.

#### Parameters

`strings`

  Type: A list of `utf8`

  A `GSList` of strings (const gchar *).

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

Newly allocated `NULL`-terminated array of strings. The returned pointer should be freed with g_strfreev().

Note: Paired function for this is e_client_util_strv_to_slist().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.